Coin: SoCacheHintElement Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SoCacheHintElement Class Reference
Element Classes

The SoCacheHintElement class is yet to be documented. More...

`#include <Inventor/elements/SoCacheHintElement.h>`

Inheritance diagram for SoCacheHintElement:

## Public Member Functions
virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | push (SoState *state)
| FIXME: write doc.
virtual void | pop (SoState *state, const SoElement *prevtopelement)
virtual SbBool | matches (const SoElement *element) const
| FIXME: write doc.
virtual SoElement * | copyMatchInfo (void) const
| FIXME: write doc.
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
void | setDepth (const int depth)
int | getDepth (void) const
virtual void | print (FILE *file=stdout) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *state, SoNode *node, const float memvalue, const float gfxvalue)
| FIXME: write doc.
static void | get (SoState *state, float &memvalue, float &gfxvalue)
| FIXME: write doc.
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
| SoCacheHintElement (void)
virtual | ~SoCacheHintElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Protected Attributes
SoCacheHintElementP * | pimpl
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth

## Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoCacheHintElement class is yet to be documented.

Please note that this is an experimental class. The API might change a lot before/if it is included in any official Coin release.

## Constructor & Destructor Documentation

## ◆ SoCacheHintElement()

SoCacheHintElement::SoCacheHintElement | ( | void |  | ) |
| protected

Constructor.

## ◆ ~SoCacheHintElement()

SoCacheHintElement::~SoCacheHintElement | ( | void |  | ) |
| protectedvirtual

Destructor.

## Member Function Documentation

## ◆ getClassTypeId()

SoType SoCacheHintElement::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ getClassStackIndex()

int SoCacheHintElement::getClassStackIndex | ( | void |  | ) |
| static

This static method returns the state stack index for the class.

## ◆ createInstance()

void * SoCacheHintElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## ◆ initClass()

void SoCacheHintElement::initClass | ( | void |  | ) |
| static

Initialize relevant common data for all instances, like the type system.

## ◆ init()

void SoCacheHintElement::init | ( | SoState * | state | ) |
| virtual

FIXME: write doc.

Reimplemented from SoElement.

## ◆ push()

void SoCacheHintElement::push | ( | SoState * | state | ) |
| virtual

FIXME: write doc.

Reimplemented from SoElement.

## ◆ pop()

void SoCacheHintElement::pop | ( | SoState * | state,
|  | const SoElement * | prevTopElement )
| virtual

This method is called when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement.

Override this method if you need to copy some state information from the previous top of stack.

Reimplemented from SoElement.

## ◆ matches()

SbBool SoCacheHintElement::matches | ( | const SoElement * | element | ) | const
| virtual

FIXME: write doc.

Implements SoElement.

## ◆ copyMatchInfo()

SoElement * SoCacheHintElement::copyMatchInfo | ( | void |  | ) | const
| virtual

FIXME: write doc.

Implements SoElement.

The documentation for this class was generated from the following files:

- SoCacheHintElement.h
- SoCacheHintElement.cpp